SmpFileObject (SMP Provider 1.1.0-3.3.0 API)
Date: 2014-07-19

org.apache.commons.vfs2.provider

## Class SmpFileObject

- java.lang.Object
- - org.apache.commons.vfs2.provider.AbstractFileObject
  - - org.apache.commons.vfs2.provider.SmpFileObject

- All Implemented Interfaces:
    Closeable, AutoCloseable, Comparable<org.apache.commons.vfs2.FileObject>, Iterable<org.apache.commons.vfs2.FileObject>, org.apache.commons.vfs2.FileObject

      public class SmpFileObject
      extends org.apache.commons.vfs2.provider.AbstractFileObject

  An Smp file.
  Author:
    Commons VFS team

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SmpFileObject(org.apache.commons.vfs2.provider.AbstractFileName name, SmpFileSystem fileSystem, org.apache.commons.vfs2.FileName rootName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.apache.commons.vfs2.FileContent` | `doCreateFileContent()`
    `protected long` | `doGetContentSize()`
    `protected InputStream` | `doGetInputStream()`
    `protected OutputStream` | `doGetOutputStream(boolean append)`
    `protected org.apache.commons.vfs2.FileType` | `doGetType()`
    `protected String[]` | `doListChildren()`
    `URL` | `getURL()`
    `void` | `sleepFiveSec()`

    - ### Methods inherited from class org.apache.commons.vfs2.provider.AbstractFileObject

      `canRenameTo, childrenChanged, close, compareTo, copyFrom, createFile, createFolder, delete, delete, deleteAll, doAttach, doCreateFolder, doDelete, doDetach, doGetAttributes, doGetCertificates, doGetLastModifiedTime, doGetRandomAccessContent, doIsExecutable, doIsHidden, doIsReadable, doIsSameFile, doIsWriteable, doListChildrenResolved, doRemoveAttribute, doRename, doSetAttribute, doSetExecutable, doSetLastModifiedTime, doSetReadable, doSetWritable, endOutput, exists, finalize, findFiles, findFiles, getAbstractFileSystem, getChild, getChildren, getContent, getFileContentInfoFactory, getFileOperations, getFileSystem, getInputStream, getName, getOutputStream, getOutputStream, getParent, getPublicURIString, getRandomAccessContent, getType, handleChanged, handleCreate, handleDelete, holdObject, injectType, isAttached, isContentOpen, isExecutable, isFile, isFolder, isHidden, isReadable, isSameFile, isWriteable, iterator, listFiles, moveTo, notifyAllStreamsClosed, onChange, onChildrenChanged, refresh, resolveFile, resolveFile, setExecutable, setReadable, setWritable, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SmpFileObject

          protected SmpFileObject(org.apache.commons.vfs2.provider.AbstractFileName name,
                       SmpFileSystem fileSystem,
                       org.apache.commons.vfs2.FileName rootName)
                           throws org.apache.commons.vfs2.FileSystemException

      Throws:
        `org.apache.commons.vfs2.FileSystemException`

  - ### Method Detail

    - #### getURL

          public URL getURL()
                     throws org.apache.commons.vfs2.FileSystemException

      Specified by:
        `getURL` in interface `org.apache.commons.vfs2.FileObject`
      Overrides:
        `getURL` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### doGetType

          protected org.apache.commons.vfs2.FileType doGetType()
                                                        throws Exception

      Specified by:
        `doGetType` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `Exception`

    - #### doListChildren

          protected String[] doListChildren()
                                     throws Exception

      Specified by:
        `doListChildren` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `Exception`

    - #### doGetContentSize

          protected long doGetContentSize()
                                   throws Exception

      Specified by:
        `doGetContentSize` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `Exception`

    - #### sleepFiveSec

          public void sleepFiveSec()

    - #### doCreateFileContent

          protected org.apache.commons.vfs2.FileContent doCreateFileContent()
                                                                     throws org.apache.commons.vfs2.FileSystemException

      Overrides:
        `doCreateFileContent` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `org.apache.commons.vfs2.FileSystemException`

    - #### doGetInputStream

          protected InputStream doGetInputStream()
                                          throws Exception

      Specified by:
        `doGetInputStream` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `Exception`

    - #### doGetOutputStream

          protected OutputStream doGetOutputStream(boolean append)
                                            throws Exception

      Overrides:
        `doGetOutputStream` in class `org.apache.commons.vfs2.provider.AbstractFileObject`
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.